Page MenuHomePhabricator

Fix _entry_has_new_line on detecting new lines when it finds <br> <ps> in passed string
ClosedPublic

Authored by ali.alzyod on Mar 12 2019, 9:55 AM.

Details

Summary

Fix issue where _entry_has_new_line will not detect '<br>' or '<ps>' inside markup text as new lines indicators.

this functionlity effect following public function:
elm_entry_single_line_set()

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
ali.alzyod created this revision.Mar 12 2019, 9:55 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

ali.alzyod requested review of this revision.Mar 12 2019, 9:55 AM
ali.alzyod edited the summary of this revision. (Show Details)EditedMar 12 2019, 10:00 AM

After Fix

Before Fix

ali.alzyod edited the summary of this revision. (Show Details)Mar 12 2019, 10:07 AM
bowonryu accepted this revision.Mar 13 2019, 2:42 AM

This patch fixes the wrong indexing.
This seems necessary.

This revision is now accepted and ready to land.Mar 13 2019, 2:42 AM

I was hoping this would also fix the simple Hello World tutorial, which has never worked in the past 1.5 years:
https://git.enlightenment.org/tools/examples.git/tree/tutorial/c/hello-gui/src/gui_main.c

But no luck :(

It just does:

efl_text_markup_set(efl_added, "Hello World.<br>This is an <b>Efl.Ui</b> application!")

so I guess legacy and the new API use different code paths for this.

ali.alzyod updated this revision to Diff 20689.Mar 18 2019, 6:51 AM
This comment was removed by ali.alzyod.
ali.alzyod updated this revision to Diff 20691.Mar 18 2019, 7:02 AM
This comment was removed by ali.alzyod.
This comment was removed by ali.alzyod.
ali.alzyod updated this revision to Diff 20696.Mar 18 2019, 9:52 AM

undo some old commits

segfaultxavi accepted this revision.Mar 18 2019, 11:39 AM

The obvious fix is obvious.

This revision was automatically updated to reflect the committed changes.